diff --git a/src/tools/qptrlist.h b/src/tools/qptrlist.h
index df465fa..0912026 100644
--- a/src/tools/qptrlist.h
+++ b/src/tools/qptrlist.h
@@ -49,6 +49,7 @@ class QPtrListStdIterator : public QGListStdIterator
 public:
     inline QPtrListStdIterator( QLNode* n ): QGListStdIterator(n) {}
     type *operator*() { return node ? (type *)node->getData() : 0; }
+    type *operator->() { return node ? (type *)node->getData() : 0; }
     inline QPtrListStdIterator<type> operator++()
     { node = next(); return *this; }
     inline QPtrListStdIterator<type> operator++(int)
@@ -168,11 +169,9 @@ public:
     operator type *() const   { return (type *)QGListIterator::get(); }
     type *operator*()         { return (type *)QGListIterator::get(); }
 
-    // No good, since QPtrList<char> (ie. QStrList fails...
-    //
-    // MSVC++ gives warning
-    // Sunpro C++ 4.1 gives error
-    //    type *operator->()        { return (type *)QGListIterator::get(); }
+    // TODO here was some sort of malfunctions in different compillers,
+    //      so check it yet another time (2013-09-24, 08:08, Fat-Zer)
+    type *operator->()        { return (type *)QGListIterator::get(); }
 
     type *current()   const   { return (type *)QGListIterator::get(); }
     type *operator()()	      { return (type *)QGListIterator::operator()();}
diff --git a/src/tools/qvaluelist.h b/src/tools/qvaluelist.h
index 95dc7ff..8a2dc62 100644
--- a/src/tools/qvaluelist.h
+++ b/src/tools/qvaluelist.h
@@ -112,8 +112,7 @@ class QValueListIterator
     bool operator!=( const QValueListIterator<T>& it ) const { return node != it.node; }
     const T& operator*() const { return node->data; }
     T& operator*() { return node->data; }
-    // UDT for T = x*
-    // T* operator->() const { return &node->data; }
+    T* operator->() const { return &node->data; }
 
     QValueListIterator<T>& operator++() {
 	node = node->next;
@@ -188,8 +187,7 @@ class QValueListConstIterator
     bool operator==( const QValueListConstIterator<T>& it ) const { return node == it.node; }
     bool operator!=( const QValueListConstIterator<T>& it ) const { return node != it.node; }
     const T& operator*() const { return node->data; }
-    // UDT for T = x*
-    // const T* operator->() const { return &node->data; }
+    const T* operator->() const { return &node->data; }
 
     QValueListConstIterator<T>& operator++() {
 	node = node->next;
